/* HEADER DA INDEX. BOX CRIAR CRONOGRAMA. */
#home {
  padding-top: calc(4.1rem + var(--nav-height));
}

#home::before {
  content: '';
  width: 100%;
  height: calc(108rem + var(--nav-height));
  background-color: var(--brand-light);
  display: block;

  position: absolute;
  top: 0;
  left: 0;
  z-index: -1;
}

#home header {
  background-image: url(../images/study-background.png);
  background-size: cover;
  background-color: rgba(101, 98, 227, 0.8);
  background-blend-mode: color;
  display: flex;
  flex-direction: column;
  align-items: center; 
  justify-content: center;
  width: 100%;
  height: 50rem;
  position: absolute;
  top: 7rem;
  left: 50%;
  transform: translateX(-50%);
}

#home header h1 {
  font-size: 5.8rem;
  line-height: 130%;
  color: white;
}

#home header p {
  color: white;
  font-weight: 400;
  font-size: 1.9rem;
  line-height: 150%;
  width: 80rem;
  height: 14rem;
  text-align: center;
}

#home .button {
  background: var(--scnd-color);

  border: none;
  border-radius: 4rem;

  margin-bottom: 6rem;

  padding: 2rem 4rem;
  width: fit-content;

  color: white;
  font-size: 1.5rem;
  font-weight: 700;

  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1.6rem;

  text-decoration: none;

  transition: background 200ms, transform 300ms;
}

#home .button:hover {
  background-color: #6486ff;
}

/* SEÇÃO DE BENEFICIOS NA INDEX */
.bene {
  display: flex;
  justify-content: center;
  align-items: center;
}
#beneficios .beneficio {
  position: relative;
  top: 45rem;
  background-color: #FFFACD;
  width: 110rem;
}

#beneficios .bnfc {
  padding: 2.4rem;
  text-align: left;
  display: flex;
}

#beneficios .bnfc img {
  border-radius: 2rem;
  width: 30rem;
  height: 30rem;
}

#beneficios .bnfc p {
  width: 50rem;
  position: relative;
  top: 9rem;
  left: -10rem;
}

#beneficios .bnfc h2 {
  position: relative;
  left: 25%;
  margin-block: 1.6rem;
}

/* SEÇÃO DE PLANO PREMIUM NA INDEX */

#plano {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  margin-top: 60rem; 
}

#plano .box {
  background-color: var(--scnd-color);
  width: 50rem;
  height: 50rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#plano .box span {
  color: white;
  position: relative;
  top: 5rem;
}

#plano .box h2 {
  color: white;
  font-size: 3rem;
  position: relative;
  top: -4rem;
}

#plano .button {
  background: #6486ff;
  position: relative;
  top: 8rem;
  border: none;
  border-radius: 4rem;
  margin-bottom: 6rem;
  padding: 1.6rem 3.2rem;
  width: fit-content;
  color: white;
  font-size: 1.4rem;
  font-weight: 700;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1.6rem;
  text-decoration: none;
  transition: background 200ms;
}

#plano .h2 {
  position: absolute;
  left: 50%;
  top: -9rem;
  transform: translateX(-50%); /* Centraliza horizontalmente */
}


/* FOOTER NA INDEX */
footer {
  background-color: var(--primary-color);
  padding-block: 6rem;

  text-align: left;

  color: white;

  position: relative;
  top: 25rem;
}

footer .logo svg {
  width: 23.6rem;
  height: 3.1rem;
}

footer .logo {
  display: inline-block;
  margin-bottom: 2.4rem;
}

footer p {
  color: white;
  line-height: 2;
  margin-left: 6rem;
  margin-bottom: 3.2rem;
}

#main .box {
  background-color: var(--scnd-color);
  border-radius: 0 4rem 4rem 0;
  width: 70vw;
  height: 5vw;
  position: absolute;
  top: 10rem;
}

#main .content-box {
  color: white;
  font-size: 3rem;
  display: flex;
  justify-content: right;

  position: relative;
  right: 5rem;
  top: 1.5rem;
}

/* ESTILIZAÇÃO DA PÁGINA DE LOGIN/CADASTRO */

#login {
  display: flex;
  flex-direction: column;
  position: relative;
  top: 30%;
  margin-left: 10rem;
}

#login h2 {
  color: #ce7cff;
  position: relative;
  top: -7rem;
}

#login h1 {
  color: var(--scnd-color);
  font-size: 4rem;
  position: relative;
  top: -5rem;
}

#login img {
  position: fixed;
  width: 50rem;
  left: 50%;
  top: 20%;
}

#login label {
  color: var(--brand-dark);
  position: relative;
  top: -1.4rem;
}

#login input {
  box-sizing: border-box;
  border: 0.1rem solid #e1afff;
  border-radius: 4rem;
  width: 43rem;
  height: 5.6rem;

  position: relative;
  top: -1.1rem;

  text-indent: 2rem;
}

#login input[type='email']:focus {
  outline: none;
}

#login button,
#login .button {
  background: var(--scnd-color);

  border: none;
  border-radius: 4rem;

  margin-bottom: 6rem;

  padding: 1.6rem 3.2rem;
  width: fit-content;

  color: white;
  font-size: 1.4rem;
  font-weight: 700;

  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1.6rem;

  text-decoration: none;

  transition: background 200ms;
}

#login button:hover {
  background-color: #6486ff;
}

#login .fpass {
  text-decoration: none;
  position: relative;
  left: 28.5rem;
}

#login a {
  text-decoration: none;
}

#login .button {
  position: absolute;
  top: 31.5rem;
  left: 16rem;
}

input[type='text']:focus {
  outline: none;
}

/* CONFIGURAÇÕES DA HEADER DE CRIAR/MEUS CRONOGRAMAS */

.header h2 {
  position: absolute;
  left: 43.5rem;
  top: 10.5rem;

  font-size: 3.2rem;
  line-height: 3.8rem;

  display: flex;
  align-items: center;

  color: var(--third-color);
}

.header h3 {
  position: absolute;
  left: 43.5rem;
  top: 18rem;

  font-size: 2.4rem;
  line-height: 3.8rem;

  display: flex;
  align-items: center;

  color: #6562E3;
}

.header p {
  position: absolute;
  left: 43.5rem;
  top: 16rem;

  font-size: 2.4rem;
  line-height: 3.5rem;

  color: var(--primary-color);
}

/* ESTILIZAÇÃO DAS PÁGINAS DE INFORMAÇÕES DO CRONOGRAMA */

.crono-info {
  display: flex;
  flex-direction: column;
  gap: 1.4rem;
  position: absolute;
  left: 43.5rem;
  top: 32rem;
}

.crono-info1 {
  display: flex;
  flex-direction: row;
  gap: 2rem;
  position: absolute;
  left: 43.5rem;
  top: 32rem;
}

.crono-info1 .info {
  display: flex;
  flex-direction: column;
}

[data-tab="content"] form {
  display: none;
}

[data-tab="content"] form.ativo {
  display: block !important;
}

#horario,
#horarioAula,
#horarioMateria,
#horarioProva,
#horarioAfazer,
#horarioDesc {
  text-indent: 0.2rem;
  border: 0.2rem solid #e1afff;
  border-radius: 1rem;
  width: 8rem;
  height: 5rem;
}

#publico,
#privado {
  width: 3rem;
  height: 2rem;
}

#titulo_cronograma,
#titulo,
#aula,
#materia,
#prova,
#afazer,
#desc,
#descricao,
#descricaoAula,
#descricaoMateria,
#descricaoProva,
#descricaoAfazer,
#descricaoDesc,
#assunto,
#assuntoMateria,
#assuntoProva {
  text-indent: 1rem;
  border: 0.2rem solid #e1afff;
  border-radius: 1rem;
  width: 20rem;
  height: 5rem;
}

#data,
#dataMateria,
#dataAula,
#dataProva,
#dataAfazer,
#dataDesc {
  text-indent: 1rem;
  border: 0.2rem solid #e1afff;
  border-radius: 1rem;
  width: 20rem;
  height: 5rem;
}

#criar-crono button,
#criar-crono1 button {
  color: #ffffff;

  width: 19rem;
  height: 5.8rem;
  background: var(--primary-color);
  border-radius: 2rem;
  border: none;

  position: absolute;
  bottom: -10rem;
  left: 70rem;

  display: flex;
  justify-content: center;
  align-items: center;
}

#criar-crono1 .btncont,
#criar-crono .btncont  {
  display: block;
}

#criar-crono button:hover,
#criar-crono1 button:hover {
  background: var(--scnd-color);
}

#criar-crono button:-webkit-any-link,
#criar-crono1 button:-webkit-any-link {
  color: white;
  cursor: pointer;
  text-decoration: none;
}

/* ESTILIZAÇÃO DA BARRA DE NAVEGAÇÕES DOS TIPOS DE TAREFAS */
.options {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 1.8rem;

  position: absolute;
  left: 55rem;
  top: 24rem;

  background-color: var(--third-color);

  padding: 2rem;
  border-radius: 3rem;
}

.options li {
  text-decoration: none;
  color: white;
  font-weight: bold;

  list-style-type: none;
  cursor: pointer;
}

.options li:hover {
  background-color: var(--scnd-color);
  padding-right: 0.6rem;
  border-radius: 2rem;
}

.options li::before {
  content: '';
  display: inline-block;
  width: 10px;
  height: 10px;
  border-radius: 50%;
  margin-right: 10px;
  background: var(--scnd-color);
}

/* MEUS CRONOGRAMAS */

.lista-crono {
  position: absolute;
  left: 40%;
  top: 50%;
}

.meu-crono a {
  position: relative;
  left: 43.5rem;
  top: 23rem;

  background-color: #6486ff;
  color: white;
  font-weight: bold;
  border-radius: 2rem;

  width: 25rem;
  height: 20rem;

  display: flex;
  flex-direction: column;
  align-items: baseline;
  justify-content: baseline;
  padding: 3rem;
  gap: 5rem;

  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;

  transition: background 200ms;
}

.meu-crono img {
  width: 12rem;
  position: relative;
  left: 4rem;
  top: -2.5rem;
}

.meu-crono a:hover {
  border-radius: 3rem;
}

.meu-crono ul a {
  text-decoration: none;
}

.meu-crono li {
  list-style-type: none;
  padding: 1rem 0rem;
}

/* DETALHES */

.visualizar {
  position: fixed;
  left: 43.5rem;
  top: 25rem;
}

table {
  background-color: #e1afff;
  margin-bottom: 1rem;
}

.diasemana {
  color: white;

  width: 50rem;
  height: 3rem;

  font-weight: bold;

  display: inline-block;
  padding: 4rem;
}

.tarefas {
  color: white;
  background-color: #CE7CFF;

  width: 36rem;
  height: 5rem;

  text-align: center;
  padding: 1.8rem;
  font-weight: bold;
}

.horarios {
  
  color: white;
  background-color: #65E9CF;

  text-align: center;
  font-weight: bold;
}

.tbTitulo {
  background-color: white;
  padding: 2rem;
  font-weight: 600;
}


.tbHora {
  background-color: white;
  padding: 2rem;
  text-align: center;
  font-weight: 600;
}


.optbtn {
  position: absolute;
  top: 120%;
  right: 0%;
}

.optbtn a {
  color: white;
  font-weight: bold;
  text-decoration: none;
  background-color: var(--primary-color);
  
  border-radius: 2rem;
  
  padding: 2rem;

  transition: 0.3s;
}

.optbtn a:hover {
  background-color: var(--scnd-color);
}
